### Method

# Aravis Stream stop_thread

since: 0.6.2

#### Declaration [src]

    unsigned int
    arv_stream_stop_thread (
      ArvStream* stream,
      gboolean delete_buffers
    )

#### Description [src]

Stop the stream receiving thread, and optionally delete all the `ArvBuffer` stored in the stream object queues. Main use of this function is to be able to quickly change an acquisition parameter that changes the payload size, without deleting/recreating the stream object.

Available since: 0.6.2

#### Parameters

`delete_buffers`

  Type: `gboolean`

  Enable buffer deletion.

#### Return value

Type: `unsigned int`

The number of deleted buffers if `delete_buffers` == `TRUE`, 0 otherwise.